# System.Reflection

``` diff
 namespace System.Reflection {
     public sealed class AssemblyName : ICloneable, IDeserializationCallback, ISerializable {
-        public string CodeBase { [RequiresAssemblyFilesAttribute("The code will return an empty string for assemblies embedded in a single-file app")] get; set; }
+        [ObsoleteAttribute("AssemblyName.CodeBase and AssemblyName.EscapedCodeBase are obsolete. Using them for loading an assembly is not supported.", DiagnosticId="SYSLIB0044", UrlFormat="https://aka.ms/dotnet-warnings/{0}")]
+        public string CodeBase { [RequiresAssemblyFilesAttribute("The code will return an empty string for assemblies embedded in a single-file app")] get; set; }
-        [RequiresAssemblyFilesAttribute("The code will return an empty string for assemblies embedded in a single-file app")]
-        public string EscapedCodeBase { get; }
+        [ObsoleteAttribute("AssemblyName.CodeBase and AssemblyName.EscapedCodeBase are obsolete. Using them for loading an assembly is not supported.", DiagnosticId="SYSLIB0044", UrlFormat="https://aka.ms/dotnet-warnings/{0}")]
+        [RequiresAssemblyFilesAttribute("The code will return an empty string for assemblies embedded in a single-file app")]
+        public string EscapedCodeBase { get; }
     }
 }
```

