# System.Net.NetworkInformation

``` diff
 namespace System.Net.NetworkInformation {
     public abstract class IcmpV4Statistics {
-        public abstract long ErrorsReceived { get; }
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract long ErrorsReceived { get; }
-        public abstract long ErrorsSent { get; }
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract long ErrorsSent { get; }
-        public abstract long MessagesReceived { get; }
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract long MessagesReceived { get; }
-        public abstract long MessagesSent { get; }
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract long MessagesSent { get; }
     }
     public abstract class IcmpV6Statistics {
-        public abstract long ErrorsReceived { get; }
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract long ErrorsReceived { get; }
-        public abstract long ErrorsSent { get; }
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract long ErrorsSent { get; }
-        public abstract long MessagesReceived { get; }
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract long MessagesReceived { get; }
-        public abstract long MessagesSent { get; }
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract long MessagesSent { get; }
     }
     public abstract class IPAddressInformation {
-        public abstract bool IsDnsEligible { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract bool IsDnsEligible { get; }
-        public abstract bool IsTransient { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract bool IsTransient { get; }
     }
     public abstract class IPGlobalProperties {
-        public abstract IPGlobalStatistics GetIPv6GlobalStatistics();
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract IPGlobalStatistics GetIPv6GlobalStatistics();
     }
     public abstract class IPInterfaceProperties {
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract IPAddressInformationCollection AnycastAddresses { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract IPAddressInformationCollection AnycastAddresses { get; }
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract IPAddressCollection DhcpServerAddresses { get; }
+        [UnsupportedOSPlatformAttribute("android")]
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract IPAddressCollection DhcpServerAddresses { get; }
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract bool IsDnsEnabled { get; }
+        [UnsupportedOSPlatformAttribute("android")]
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract bool IsDnsEnabled { get; }
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract bool IsDynamicDnsEnabled { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract bool IsDynamicDnsEnabled { get; }
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract IPAddressCollection WinsServersAddresses { get; }
+        [UnsupportedOSPlatformAttribute("android")]
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public abstract IPAddressCollection WinsServersAddresses { get; }
     }
     public abstract class IPInterfaceStatistics {
-        public abstract long IncomingUnknownProtocolPackets { get; }
+        [UnsupportedOSPlatformAttribute("linux")]
+        public abstract long IncomingUnknownProtocolPackets { get; }
-        public abstract long NonUnicastPacketsSent { get; }
+        [UnsupportedOSPlatformAttribute("linux")]
+        public abstract long NonUnicastPacketsSent { get; }
     }
     public abstract class IPv4InterfaceProperties {
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract bool IsAutomaticPrivateAddressingActive { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract bool IsAutomaticPrivateAddressingActive { get; }
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract bool IsAutomaticPrivateAddressingEnabled { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract bool IsAutomaticPrivateAddressingEnabled { get; }
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract bool IsDhcpEnabled { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract bool IsDhcpEnabled { get; }
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract bool IsForwardingEnabled { get; }
+        [SupportedOSPlatformAttribute("linux")]
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract bool IsForwardingEnabled { get; }
-        [UnsupportedOSPlatformAttribute("android")]
-        public abstract bool UsesWins { get; }
+        [SupportedOSPlatformAttribute("linux")]
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract bool UsesWins { get; }
     }
     public abstract class IPv6InterfaceProperties {
-        public virtual long GetScopeId(ScopeLevel scopeLevel);
+        [UnsupportedOSPlatformAttribute("freebsd")]
+        [UnsupportedOSPlatformAttribute("ios")]
+        [UnsupportedOSPlatformAttribute("osx")]
+        [UnsupportedOSPlatformAttribute("tvos")]
+        public virtual long GetScopeId(ScopeLevel scopeLevel);
     }
     public abstract class MulticastIPAddressInformation : IPAddressInformation {
-        public abstract long AddressPreferredLifetime { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract long AddressPreferredLifetime { get; }
-        public abstract long AddressValidLifetime { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract long AddressValidLifetime { get; }
-        public abstract long DhcpLeaseLifetime { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract long DhcpLeaseLifetime { get; }
-        public abstract DuplicateAddressDetectionState DuplicateAddressDetectionState { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract DuplicateAddressDetectionState DuplicateAddressDetectionState { get; }
-        public abstract PrefixOrigin PrefixOrigin { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract PrefixOrigin PrefixOrigin { get; }
-        public abstract SuffixOrigin SuffixOrigin { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract SuffixOrigin SuffixOrigin { get; }
     }
     public abstract class UnicastIPAddressInformation : IPAddressInformation {
-        public abstract long AddressPreferredLifetime { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract long AddressPreferredLifetime { get; }
-        public abstract long AddressValidLifetime { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract long AddressValidLifetime { get; }
-        public abstract long DhcpLeaseLifetime { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract long DhcpLeaseLifetime { get; }
-        public abstract DuplicateAddressDetectionState DuplicateAddressDetectionState { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract DuplicateAddressDetectionState DuplicateAddressDetectionState { get; }
-        public abstract PrefixOrigin PrefixOrigin { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract PrefixOrigin PrefixOrigin { get; }
-        public abstract SuffixOrigin SuffixOrigin { get; }
+        [SupportedOSPlatformAttribute("windows")]
+        public abstract SuffixOrigin SuffixOrigin { get; }
     }
 }
```

